Get Versions
GET
/api/superadmin/prompts/performance/versions
const url = 'https://example.com/api/superadmin/prompts/performance/versions?repo=example&surface=example&name=example&days=30';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/superadmin/prompts/performance/versions?repo=example&surface=example&name=example&days=30' \ --header 'Authorization: Bearer <token>'Per-commit deltas for a single prompt.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” repo
required
Repo
Hub repo (e.g. memosa-prompts)
string
Hub repo (e.g. memosa-prompts)
surface
required
Surface
Surface within the repo
string
Surface within the repo
name
required
Name
Prompt name within the surface
string
Prompt name within the surface
days
Days
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Response Get Versions Api Superadmin Prompts Performance Versions Get
object
key
additional properties
any
Example generated
{}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}